com.smartgwt.client.tools

## Class SerializationSettings

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.tools.SerializationSettings

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class SerializationSettings
      extends DataClass

  Settings to control `EditContext` serialization.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties, readOnly`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializationSettings()`
    `SerializationSettings(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getIndent()` Overrides the default indention setting during serialization.
    `static SerializationSettings` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getOutputComponentsIndividually()` Overrides the default component output setting during serialization.
    `java.lang.Boolean` | `getServerless()` When true specify DataSources in full rather than assuming they can be downloaded from the server.
    `void` | `setIndent(java.lang.Boolean indent)` Overrides the default indention setting during serialization.
    `void` | `setOutputComponentsIndividually(java.lang.Boolean outputComponentsIndividually)` Overrides the default component output setting during serialization.
    `void` | `setServerless(java.lang.Boolean serverless)` When true specify DataSources in full rather than assuming they can be downloaded from the server.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getReadOnly, isFactoryCreated, logConfiguration, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated, setReadOnly`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializationSettings

          public SerializationSettings()

    - #### SerializationSettings

          public SerializationSettings(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static SerializationSettings getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setIndent

          public void setIndent(java.lang.Boolean indent)

      Overrides the default indention setting during serialization. XML defaults to indented and JSON defaults to non-indented.
      Parameters:
        `indent` - Default value is null

    - #### getIndent

          public java.lang.Boolean getIndent()

      Overrides the default indention setting during serialization. XML defaults to indented and JSON defaults to non-indented.
      Returns:
        Boolean

    - #### setOutputComponentsIndividually

          public void setOutputComponentsIndividually(java.lang.Boolean outputComponentsIndividually)

      Overrides the default component output setting during serialization. By default Canvas and DrawItem components are serialized individually and referenced by their containers.
      Parameters:
        `outputComponentsIndividually` - Default value is true

    - #### getOutputComponentsIndividually

          public java.lang.Boolean getOutputComponentsIndividually()

      Overrides the default component output setting during serialization. By default Canvas and DrawItem components are serialized individually and referenced by their containers.
      Returns:
        Boolean

    - #### setServerless

          public void setServerless(java.lang.Boolean serverless)

      When true specify DataSources in full rather than assuming they can be downloaded from the server.
      Parameters:
        `serverless` - Default value is null

    - #### getServerless

          public java.lang.Boolean getServerless()

      When true specify DataSources in full rather than assuming they can be downloaded from the server.
      Returns:
        Boolean